
Foreman - Bug #3060

Remove YAML host permissions from basic users,

09/09/2013 04:48 PM - Jim Perrin

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1437789 Red Hat JIRA:  

Pull request:    

Description

A default user with no permissions granted, can view a host and click the 'yaml' option, which will output a rootpw hash. This is not

ideal and with the appropriate rainbow tables or similar toolkit could lead to a compromise.

Related issues:

Related to Foreman - Bug #2069: (encrypted) root passwords are world readable Closed 10/07/2009

Related to Foreman - Bug #5878: Reports - view_reports role gives view_hosts ... New 05/22/2014

History

#1 - 09/09/2013 05:19 PM - Dominic Cleal

- Related to Bug #2069: (encrypted) root passwords are world readable added

#2 - 09/09/2013 05:20 PM - Dominic Cleal

- Category changed from Web Interface to Users, Roles and Permissions

I think we could improve on this with a dedicated permission for access to password hashes, so they're not readable to other users from either the

YAML output or the APIs.

#3 - 05/22/2014 12:17 PM - Dominic Cleal

- Related to Bug #5878: Reports - view_reports role gives view_hosts role added

#4 - 04/02/2017 03:03 AM - Tomer Brisker

- Bugzilla link set to 1437789
